Update voice consent
client.Audio.VoiceConsents.Update(ctx, consentID, body) (*VoiceConsent, error)
POST
/audio/voice_consents/{consent_id}Update voice consent
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
voiceConsent, err := client.Audio.VoiceConsents.Update(
context.TODO(),
"consent_id",
openai.AudioVoiceConsentUpdateParams{
Name: "name",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceConsent.ID)
}
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}